Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.msu.cme.rdp.classifier.comparison
Class Score

    java.lang.Object
      edu.msu.cme.rdp.classifier.comparison.Score

    public class Score

extends java.lang.Object

Field Summary
`private Score` | `nextAssignScore`
`private Score` | `nextSeqScore`
`private Taxon` | `node`
`private float` | `score`
`private SeqInfo` | `seqInfo`

Constructor Summary
`Score(float s, SeqInfo seq, Taxon n)` Creates a new instance of Score

Method Summary
`java.lang.String` | `getName()`
`(package private) Score` | `getNextAssignScore()`
`(package private) Score` | `getNextSeqScore()`
`java.lang.String` | `getRank()`
`float` | `getScore()`
`(package private) SeqInfo` | `getSeqInfo()`
`int` | `getTaxid()`
`(package private) Taxon` | `getTaxon()`
`(package private) void` | `setNextAssignScore(Score s)`
`(package private) void` | `setNextSeqScore(Score s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### score

    private float score

### node

    private Taxon node

### nextSeqScore

    private Score nextSeqScore

### nextAssignScore

    private Score nextAssignScore

### seqInfo

    private SeqInfo seqInfo

Constructor Detail

### Score

    public Score(float s,
                 SeqInfo seq,
                 Taxon n)

  Creates a new instance of Score

Method Detail

### getTaxon

    Taxon getTaxon()

### getSeqInfo

    SeqInfo getSeqInfo()

### getNextSeqScore

    Score getNextSeqScore()

### getNextAssignScore

    Score getNextAssignScore()

### setNextSeqScore

    void setNextSeqScore(Score s)

### setNextAssignScore

    void setNextAssignScore(Score s)

### getScore

    public float getScore()

### getName

    public java.lang.String getName()

### getRank

    public java.lang.String getRank()

### getTaxid

    public int getTaxid()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD